<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddMtpReq StructType
 * @subpackage Structs
 */
class AddMtpReq extends APIRequest
{
    /**
     * The mtp
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XMtp
     */
    public $mtp;
    /**
     * Constructor method for AddMtpReq
     * @uses AddMtpReq::setMtp()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XMtp $mtp
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XMtp $mtp = null)
    {
        $this
            ->setMtp($mtp);
    }
    /**
     * Get mtp value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XMtp|null
     */
    public function getMtp()
    {
        return $this->mtp;
    }
    /**
     * Set mtp value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XMtp $mtp
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AddMtpReq
     */
    public function setMtp(\\Losc\CucmBundle\Model\Webservice\StructType\XMtp $mtp = null)
    {
        $this->mtp = $mtp;
        return $this;
    }
}
